

package PresentationLayers;

import BusinessLogicLayers.PhanLopBLL;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Toolkit;
import javax.swing.ImageIcon;

public class FrmPhanLop extends javax.swing.JPanel {

    private PhanLopBLL phanlop;
   
    public FrmPhanLop(PhanLopBLL phanlop) {
        initComponents();
        
        this.phanlop=phanlop;
        
        init();
        
        phanlop.AddComboBoxNamHoc(cbbnamhoc);
        phanlop.AddComboBoxLop(cbblop);
        phanlop.AddComboBoxHocKi(cbbhocki);
        
        phanlop.setTable(tablehocsinh,tablelop);
        phanlop.insertTable();
        phanlop.insertTableLop();
    }
    private void init()
    {
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        pnltopl.setBounds(1, 0, screenSize.width/2-40, 106);
        pnltopr.setBounds(screenSize.width/2+40, 0, screenSize.width/2+40, 106);
        pnltablehocsinh.setBounds(1, 106, screenSize.width/2-40, screenSize.height);
        pnltablelop.setBounds(screenSize.width/2+40, 106, screenSize.width/2+40, screenSize.height);
        pnlcenter.setBounds(screenSize.width/2-40, 0, 80, screenSize.height);
        lbchuyen.setBounds(13, 130, 57, 58);
        lbxoa.setBounds(13, 195, 57, 58);
        lbchuyen.setHorizontalAlignment(lbchuyen.CENTER);
        lbxoa.setHorizontalAlignment(lbxoa.CENTER);
        lbchuyen.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                phanlop.ChuyenHocSinh();
            }
        });
        lbxoa.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                phanlop.XoaHocSinhKhoiLop();
            }
        });
    }
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        pnlbg = new javax.swing.JPanel();
        pnltopl = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg6.png"));

                g.drawImage(icon.getImage(),0 , 0, this.getWidth(), 106, null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        pnltopr = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg6.png"));

                g.drawImage(icon.getImage(),0 , 0, this.getWidth(), 106, null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        jLabel1 = new javax.swing.JLabel();
        cbbnamhoc = new javax.swing.JComboBox();
        jLabel2 = new javax.swing.JLabel();
        cbblop = new javax.swing.JComboBox();
        jLabel3 = new javax.swing.JLabel();
        cbbhocki = new javax.swing.JComboBox();
        pnltablehocsinh = new javax.swing.JPanel();
        jScrollPane2 = new javax.swing.JScrollPane();
        tablehocsinh = new javax.swing.JTable();
        pnltablelop = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tablelop = new javax.swing.JTable();
        pnlcenter = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg7.png"));

                g.drawImage(icon.getImage(),0 , 0, 80, this.getHeight(), null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        lbchuyen = new javax.swing.JLabel();
        lbxoa = new javax.swing.JLabel();

        setEnabled(false);

        pnlbg.setLayout(null);

        pnltopl.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(102, 153, 255), 1, true));

        javax.swing.GroupLayout pnltoplLayout = new javax.swing.GroupLayout(pnltopl);
        pnltopl.setLayout(pnltoplLayout);
        pnltoplLayout.setHorizontalGroup(
            pnltoplLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 177, Short.MAX_VALUE)
        );
        pnltoplLayout.setVerticalGroup(
            pnltoplLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 104, Short.MAX_VALUE)
        );

        pnlbg.add(pnltopl);
        pnltopl.setBounds(10, 0, 179, 106);

        pnltopr.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(51, 102, 255), 1, true));

        jLabel1.setText("Năm Học:");

        cbbnamhoc.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbbnamhocActionPerformed(evt);
            }
        });

        jLabel2.setText("Lớp:");

        cbblop.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbblopActionPerformed(evt);
            }
        });

        jLabel3.setText("Học Kì: ");

        javax.swing.GroupLayout pnltoprLayout = new javax.swing.GroupLayout(pnltopr);
        pnltopr.setLayout(pnltoprLayout);
        pnltoprLayout.setHorizontalGroup(
            pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnltoprLayout.createSequentialGroup()
                .addGap(21, 21, 21)
                .addGroup(pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel1)
                    .addComponent(jLabel2)
                    .addComponent(jLabel3))
                .addGap(18, 18, 18)
                .addGroup(pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(cbbhocki, 0, 183, Short.MAX_VALUE)
                    .addComponent(cbbnamhoc, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(cbblop, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(30, Short.MAX_VALUE))
        );
        pnltoprLayout.setVerticalGroup(
            pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, pnltoprLayout.createSequentialGroup()
                .addContainerGap(21, Short.MAX_VALUE)
                .addGroup(pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(cbbnamhoc, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(cbbhocki, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(cbblop, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel2))
                .addContainerGap())
        );

        pnlbg.add(pnltopr);
        pnltopr.setBounds(220, 0, 300, 106);

        pnltablehocsinh.setBackground(new java.awt.Color(255, 255, 255));
        pnltablehocsinh.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(51, 102, 255)));

        tablehocsinh.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null},
                {null, null},
                {null, null},
                {null, null}
            },
            new String [] {
                "Mã Học Sinh", "Tên Học Sinh"
            }
        ));
        jScrollPane2.setViewportView(tablehocsinh);

        javax.swing.GroupLayout pnltablehocsinhLayout = new javax.swing.GroupLayout(pnltablehocsinh);
        pnltablehocsinh.setLayout(pnltablehocsinhLayout);
        pnltablehocsinhLayout.setHorizontalGroup(
            pnltablehocsinhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 288, Short.MAX_VALUE)
        );
        pnltablehocsinhLayout.setVerticalGroup(
            pnltablehocsinhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 158, Short.MAX_VALUE)
        );

        pnlbg.add(pnltablehocsinh);
        pnltablehocsinh.setBounds(10, 130, 290, 160);

        pnltablelop.setBackground(new java.awt.Color(255, 255, 255));
        pnltablelop.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(51, 153, 255)));

        tablelop.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null},
                {null, null},
                {null, null},
                {null, null}
            },
            new String [] {
                "Mã Học Sinh", "Tên Học Sinh"
            }
        ));
        jScrollPane1.setViewportView(tablelop);

        javax.swing.GroupLayout pnltablelopLayout = new javax.swing.GroupLayout(pnltablelop);
        pnltablelop.setLayout(pnltablelopLayout);
        pnltablelopLayout.setHorizontalGroup(
            pnltablelopLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 268, Short.MAX_VALUE)
        );
        pnltablelopLayout.setVerticalGroup(
            pnltablelopLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 158, Short.MAX_VALUE)
        );

        pnlbg.add(pnltablelop);
        pnltablelop.setBounds(360, 130, 270, 160);

        pnlcenter.setLayout(null);

        lbchuyen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/chuyenhs.png"))); // NOI18N
        lbchuyen.setToolTipText("Chuyễn Học Sinh Vào Lớp");
        lbchuyen.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lbchuyen.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                lbchuyenMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                lbchuyenMouseExited(evt);
            }
        });
        pnlcenter.add(lbchuyen);
        lbchuyen.setBounds(240, 380, 40, 40);

        lbxoa.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/xoahs.png"))); // NOI18N
        lbxoa.setToolTipText("Xóa Học Sinh Khỏi Lớp");
        lbxoa.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lbxoa.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                lbxoaMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                lbxoaMouseExited(evt);
            }
        });
        pnlcenter.add(lbxoa);
        lbxoa.setBounds(200, 370, 40, 40);

        pnlbg.add(pnlcenter);
        pnlcenter.setBounds(420, 330, 110, 170);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(pnlbg, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 734, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(pnlbg, javax.swing.GroupLayout.DEFAULT_SIZE, 507, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents

    private void lbchuyenMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbchuyenMouseEntered
        lbchuyen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/chuyenhshover.png")));
    }//GEN-LAST:event_lbchuyenMouseEntered

    private void lbchuyenMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbchuyenMouseExited
        lbchuyen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/chuyenhs.png")));
    }//GEN-LAST:event_lbchuyenMouseExited

    private void lbxoaMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbxoaMouseEntered
        lbxoa.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/xoahshover.png")));
    }//GEN-LAST:event_lbxoaMouseEntered

    private void lbxoaMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbxoaMouseExited
        lbxoa.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/xoahs.png")));
    }//GEN-LAST:event_lbxoaMouseExited

    private void cbbnamhocActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cbbnamhocActionPerformed
        try {
            phanlop.AddComboBoxLop(cbblop);
        } catch (Exception e) {
        }
    }//GEN-LAST:event_cbbnamhocActionPerformed

    private void cbblopActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cbblopActionPerformed
        try {
            phanlop.insertTableLop();
        } catch (Exception e) {
        }
        
    }//GEN-LAST:event_cbblopActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JComboBox cbbhocki;
    private javax.swing.JComboBox cbblop;
    private javax.swing.JComboBox cbbnamhoc;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JLabel lbchuyen;
    private javax.swing.JLabel lbxoa;
    private javax.swing.JPanel pnlbg;
    private javax.swing.JPanel pnlcenter;
    private javax.swing.JPanel pnltablehocsinh;
    private javax.swing.JPanel pnltablelop;
    private javax.swing.JPanel pnltopl;
    private javax.swing.JPanel pnltopr;
    private javax.swing.JTable tablehocsinh;
    private javax.swing.JTable tablelop;
    // End of variables declaration//GEN-END:variables
}
